### ---------------------------------------------------------------------------
###			クリスマス見習いサンタ　Evolution鯖管理人　[GM] ちびにゃん
###			http://l2je.ath.cx
### ---------------------------------------------------------------------------

import sys
from com.l2jserver.gameserver.model.quest import State
from com.l2jserver.gameserver.model.quest import QuestState
from com.l2jserver.gameserver.model.quest.jython import QuestJython as JQuest

qn = "5802_Christmas"

###＠＠＠＠＠＠＠＠＠＠＠＠＠＠＠＠＠＠＠＠＠＠＠＠＠＠＠＠＠＠＠＠＠＠＠＠＠＠＠＠＠＠＠＠＠###

ITEM_STAR_ORNAMENT		= 5556	# ツリー装飾：スター x4
ITEM_BEAD_ORNAMENT		= 5557	# ツリー装飾：ボール x4
ITEM_FIR_TREE_BRANCH	= 5558	# ツリー装飾：小枝   x10
ITEM_FLOWER_POT			= 5559	# ツリー装飾：鉢     x1
ITEM_CHRISTMAS_TREE			= 5560		#クリスマス ツリー
ITEM_SPECIAL_CHRISTMAS_TREE	= 5561		#高級クリスマス ツリー

###＠＠＠＠＠＠＠＠＠＠＠＠＠＠＠＠＠＠＠＠＠＠＠＠＠＠＠＠＠＠＠＠＠＠＠＠＠＠＠＠＠＠＠＠＠###

class Quest (JQuest) :

 def __init__(self,id,name,descr): JQuest.__init__(self,id,name,descr)

 def onEvent (self,event,st) :
    htmltext = event

#景品と交換
    if event == "1":
         if st.getQuestItemsCount(ITEM_STAR_ORNAMENT) >= 4 and \
            st.getQuestItemsCount(ITEM_BEAD_ORNAMENT) >= 4 and \
            st.getQuestItemsCount(ITEM_FIR_TREE_BRANCH) >= 10 and \
            st.getQuestItemsCount(ITEM_FLOWER_POT) >= 1:
              st.takeItems(ITEM_STAR_ORNAMENT,4)	# ツリー装飾：スター
              st.takeItems(ITEM_BEAD_ORNAMENT,4)	# ツリー装飾：ボール
              st.takeItems(ITEM_FIR_TREE_BRANCH,10)	# ツリー装飾：小枝
              st.takeItems(ITEM_FLOWER_POT,1)		# ツリー装飾：鉢

              st.giveItems(ITEM_CHRISTMAS_TREE,1)		#クリスマス ツリー

              if   st.getRandom(100) < 40: st.giveItems(6036,4)		#     6,000A 高級魔法詠唱速度向上ポーション
              elif st.getRandom(100) < 40: st.giveItems(1375,4)		#     6,000A 高級攻撃速度向上ポーション
              elif st.getRandom(100) < 40: st.giveItems(1540,10)	#    10,000A 瞬間体力回復剤
              elif st.getRandom(100) < 50: st.giveItems(735,10)		#     2,400A 攻撃速度向上ポーション
              elif st.getRandom(100) < 50: st.giveItems(1374,8)		#     3,000A 高級移動速度向上ポーション
              elif st.getRandom(100) < 50: st.giveItems(6035,10)	#     2,400A 魔法詠唱速度向上ポーション
              elif st.getRandom(100) < 60: st.giveItems(1539,20)	#       900A 強化体力回復剤
              elif st.getRandom(100) < 60: st.giveItems(728,10)		#     2,000A マナ ポーション
              else                       : st.giveItems(5234,10)	#    10,000A ミステリアス ポーション

              return "1OK.htm"
         else:
              return "1NG.htm"

    elif event == "2":
         if st.getQuestItemsCount(ITEM_CHRISTMAS_TREE) >= 10:
              st.takeItems(ITEM_CHRISTMAS_TREE,10)

              st.giveItems(ITEM_SPECIAL_CHRISTMAS_TREE,1)      #高級クリスマス ツリー

              if   st.getRandom(100) <  1: st.giveItems(6660,1)		#   616,000A クイーンアント リング
              elif st.getRandom(100) <  1: st.giveItems(6662,1)		#   870,000A コア リング
              elif st.getRandom(100) <  1: st.giveItems(959,1)		# 5,000,000A 武器強化スクロール：Sグレード
              elif st.getRandom(100) <  1: st.giveItems(729,1)		# 1,800,000A 武器強化スクロール：Aグレード
              elif st.getRandom(100) <  2: st.giveItems(947,1)		#   500,000A 武器強化スクロール：Bグレード
              elif st.getRandom(100) <  2: st.giveItems(960,1)		#   500,000A 防具強化スクロール：Sグレード
              elif st.getRandom(100) <  5: st.giveItems(730,1)		#   240,000A 防具強化スクロール：Aグレード
              elif st.getRandom(100) <  8: st.giveItems(951,1)		#   110,000A 武器強化スクロール：Cグレード
              elif st.getRandom(100) < 10: st.giveItems(948,1)		#    80,000A 防具強化スクロール：Bグレード
              elif st.getRandom(100) < 15: st.giveItems(955,1)		#    50,000A 武器強化スクロール：Dグレード
              elif st.getRandom(100) < 20: st.giveItems(952,1)		#    15,000A 防具強化スクロール：Cグレード
              elif st.getRandom(100) < 20: st.giveItems(956,1)		#     6,000A 防具強化スクロール：Dグレード
              else                       : st.giveItems(1458,100)	#       650A クリスタル：Dグレード

              return "2OK.htm"
         else:
              return "2NG.htm"

    elif event == "3":
         if st.getQuestItemsCount(ITEM_CHRISTMAS_TREE) >= 10:
              st.takeItems(ITEM_CHRISTMAS_TREE,10)
           ## st.giveItems(7836,1)                  #サンタ帽子
              st.giveItems(8936,1)                  #サンタのとんがり帽子
              return "3OK.htm"
         else:
              return "3NG.htm"

    if event == "0":
      htmltext = "Trade has been canceled."

    return htmltext

 def onTalk (self,npc,player):
   return "main.htm"


QUEST = Quest(-1,qn,"custom")
QUEST.addStartNpc(31863) #見習いサンタ:
QUEST.addTalkId(31863)	#見習いサンタ:
